package com.bonus.canteen.core.nutrition.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;

@ApiModel("菜品营养信息入参")
public class HealthDishesNutritionDto {
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("菜品id")
   private Long dishesId;
   @ApiModelProperty("菜品名称")
   private String dishesName;
   @ApiModelProperty("菜品实际重量(g)")
   private BigDecimal actualWeight;
   @ApiModelProperty("菜品标准重量(g)")
   private BigDecimal standardWeight;
   @ApiModelProperty("食用日期")
   private LocalDate eatDate;
   @ApiModelProperty("餐次类型 1-早餐 2-午餐 3-晚餐 4-下午茶 5-夜宵")
   private Integer mealtimeType;
   @ApiModelProperty("类型(1-APP端自定义添加,2-菜品库)")
   private Integer dishesSource;
   @ApiModelProperty("标准重量下包含的热量(千卡)")
   private BigDecimal calories;
   @ApiModelProperty("标准重量下包含的蛋白质(g)")
   private BigDecimal protein;
   @ApiModelProperty("标准重量下包含的碳水化合物(g)")
   private BigDecimal carbohydrate;
   @ApiModelProperty("标准重量下包含的脂肪(g)")
   private BigDecimal fat;
   @ApiModelProperty("标准重量下包含的膳食纤维(g)")
   private BigDecimal dietaryFiber;
   @ApiModelProperty("标准重量下包含的钠(mg)")
   private BigDecimal sodium;

   public Long getCustId() {
      return this.custId;
   }

   public Long getDishesId() {
      return this.dishesId;
   }

   public String getDishesName() {
      return this.dishesName;
   }

   public BigDecimal getActualWeight() {
      return this.actualWeight;
   }

   public BigDecimal getStandardWeight() {
      return this.standardWeight;
   }

   public LocalDate getEatDate() {
      return this.eatDate;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public Integer getDishesSource() {
      return this.dishesSource;
   }

   public BigDecimal getCalories() {
      return this.calories;
   }

   public BigDecimal getProtein() {
      return this.protein;
   }

   public BigDecimal getCarbohydrate() {
      return this.carbohydrate;
   }

   public BigDecimal getFat() {
      return this.fat;
   }

   public BigDecimal getDietaryFiber() {
      return this.dietaryFiber;
   }

   public BigDecimal getSodium() {
      return this.sodium;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setDishesId(final Long dishesId) {
      this.dishesId = dishesId;
   }

   public void setDishesName(final String dishesName) {
      this.dishesName = dishesName;
   }

   public void setActualWeight(final BigDecimal actualWeight) {
      this.actualWeight = actualWeight;
   }

   public void setStandardWeight(final BigDecimal standardWeight) {
      this.standardWeight = standardWeight;
   }

   public void setEatDate(final LocalDate eatDate) {
      this.eatDate = eatDate;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setDishesSource(final Integer dishesSource) {
      this.dishesSource = dishesSource;
   }

   public void setCalories(final BigDecimal calories) {
      this.calories = calories;
   }

   public void setProtein(final BigDecimal protein) {
      this.protein = protein;
   }

   public void setCarbohydrate(final BigDecimal carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setFat(final BigDecimal fat) {
      this.fat = fat;
   }

   public void setDietaryFiber(final BigDecimal dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setSodium(final BigDecimal sodium) {
      this.sodium = sodium;
   }

}
